server:
  port: 8082
  servlet:
    context-path: /user-service/
spring:
  application:
    name: user-service
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: http://localhost:8083/auth/realms/qualtab1    
    
keycloak:
   serviceUrl: http://localhost:8083/auth
   realm: master
   targetRealm: qualtab1
   clientId: admin-cli
   clientSecret: 2615e822-2d3d-46c4-9853-12397d0d30b8
   targetClientId: client1
   
eureka:
  instance:
    leaseRenewalIntervalInSeconds: 10
    metadataMap:
      instanceId: ${vcap.application.instance_id:${spring.application.name}:${spring.application.instance_id:${server.port}}}
  client:
    registryFetchIntervalSeconds: 5

logging:
  level:
    ROOT: INFO
